Bug 1946735 - Missing lightdm dependency
Summary: Missing lightdm dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-session-ui
Version: 34
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F34FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-04-06 18:40 UTC by Timothée Ravier
Modified: 2021-04-13 01:33 UTC (History)
6 users (show)

Fixed In Version: deepin-session-ui-5.3.35-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-13 01:33:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Timothée Ravier 2021-04-06 18:40:22 UTC
Description of problem:

I do custom variants of Silverblue with the Deepin DE and starting with F34, with the commit https://src.fedoraproject.org/rpms/deepin-session-ui/c/46108f0f80ddfb895c98503a92ffb9b0d2f1f9f9?branch=rawhide, all lightdm dependencies were removed so there are no login manager installed by default.

What is the preferred way to use the Deepin DE? Should lightdm be added the the DDE env in Fedora comps?

Version-Release number of selected component (if applicable):

34+

Comment 1 Fedora Update System 2021-04-07 01:03:56 UTC
FEDORA-2021-d506dda939 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d506dda939

Comment 2 Fedora Blocker Bugs Application 2021-04-07 01:37:07 UTC
Proposed as a Freeze Exception for 34-final by Fedora user cheeselee using the blocker tracking app because:

 Without this fix, people choose to install Deepin Desktop Environment will not  reach a graphical environment.

Comment 3 Timothée Ravier 2021-04-07 08:24:11 UTC
Thanks for the quick fix!

Comment 4 Fedora Update System 2021-04-07 18:14:21 UTC
FEDORA-2021-d506dda939 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d506dda939`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d506dda939

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Adam Williamson 2021-04-07 23:27:34 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/330 , marking accepted.

Comment 6 Fedora Update System 2021-04-13 01:33:46 UTC
FEDORA-2021-d506dda939 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.